#pragma once

#include <Core/Common/NonNullPtr.h>
#include <Core/HAL/Win32.h>

namespace Juliet
{
    struct DisplayDevice;
}

namespace Juliet::Win32
{
    extern void             PumpEvents(NonNullPtr<DisplayDevice> self);
    extern LRESULT CALLBACK Win32MainWindowCallback(HWND Handle, UINT Message, WPARAM WParam, LPARAM LParam);
} // namespace Juliet::Win32
